/**************************************************************
-PWM signaal op pin C2 - CCP1
-PIC16F887 draait op extern Xtal van 19.660.800 Hz
-Led op PIN C2
*************************************************************/

#include <htc.h>
#define _XTAL_FREQ  19660800  

__CONFIG(0x23F2);   	//extern Xtal HS 19660800
__CONFIG(0x3FFF);	//


void main()
{
unsigned char Duty_Cycle = 0;  // variabele voor Duty Cycle
TRISC = 0x00;
CCP1CON = 0b00001100;	//CCP1 in PWM mode zetten
T2CON = 0b00000100;  // Timer2 aan - prescaler op 1 = hoogste frequentie via TMR2
PR2 = 255;  // periode register op maximum = lage PWM freq
while (1)
{
CCPR1L = Duty_Cycle;   // copieer inhoud van var Duty_Cycle naar CCPR1L buffer register
Duty_Cycle++;		// increment Duty_Cycle
__delay_ms(20);		// wacht 20 msec - totale loop = 255 x 20msec = 5.1 seconden
}
}

